Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class UserGroupRelationFacade

    java.lang.Object
      com.pmease.quickbuild.model.UserGroupRelationFacade

All Implemented Interfaces:
  java.io.Serializable

public class UserGroupRelationFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for UserGroupRelation. This class maintains relationship between `User` and `Group`

See Also:
  Serialized Form

Constructor Summary
`UserGroupRelationFacade()`

Method Summary
`int` | `getEntityVersion()`
`java.lang.Long` | `getGroup()` Get group of this relation.
`java.lang.Long` | `getId()` Get identifer of this object.
`java.lang.Long` | `getUser()` Specify User of this relation.
`void` | `setEntityVersion(int entityVersion)`
`void` | `setGroup(java.lang.Long group)`
`void` | `setId(java.lang.Long id)`
`void` | `setUser(java.lang.Long user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserGroupRelationFacade

    public UserGroupRelationFacade()

Method Detail

### getGroup

    public java.lang.Long getGroup()

  Get group of this relation.

### setGroup

    public void setGroup(java.lang.Long group)

### getUser

    public java.lang.Long getUser()

  Specify User of this relation.

### setUser

    public void setUser(java.lang.Long user)

### getId

    public java.lang.Long getId()

  Get identifer of this object.

### setId

    public void setId(java.lang.Long id)

### getEntityVersion

    public int getEntityVersion()

### setEntityVersion

    public void setEntityVersion(int entityVersion)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.